import { CredentialManager } from '../../credential';
import { LoginParams } from '../../machine/types';
import { User } from '../../user';
import { BaseRoute } from '../base';
export declare class Login extends BaseRoute {
    user: User;
    credentialManager: CredentialManager;
    connectedCallback(): void;
    private attemptBasicLogin;
    get ssoToggleLabel(): string;
    onSSOLogin(): void;
    onLoginSubmit(): Promise<void>;
    login(params: LoginParams): void;
    logout(): void;
    get submitDisabled(): boolean;
}
//# sourceMappingURL=login.d.ts.map